<?xml version="1.0" encoding="GBK"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzjt.mapper.SbxxMapper">
    <resultMap id="BaseResultMap" type="com.hzjt.domain.Sbxx">
        <!--
          WARNING - @mbg.generated
        -->
        <result column="SBBH" jdbcType="VARCHAR" property="sbbh"/>
        <result column="WBBH" jdbcType="VARCHAR" property="wbbh"/>
        <result column="SBMC" jdbcType="VARCHAR" property="sbmc"/>
        <result column="SBMCPY" jdbcType="VARCHAR" property="sbmcpy"/>
        <result column="SBIP" jdbcType="VARCHAR" property="sbip"/>
        <result column="SBDK" jdbcType="DECIMAL" property="sbdk"/>
        <result column="SBDLZH" jdbcType="VARCHAR" property="sbdlzh"/>
        <result column="SBDLMM" jdbcType="VARCHAR" property="sbdlmm"/>
        <result column="SBZL" jdbcType="DECIMAL" property="sbzl"/>
        <result column="SBBBH" jdbcType="VARCHAR" property="sbbbh"/>
        <result column="SBXH" jdbcType="VARCHAR" property="sbxh"/>
        <result column="CJBH" jdbcType="VARCHAR" property="cjbh"/>
        <result column="CJMC" jdbcType="VARCHAR" property="cjmc"/>
        <result column="SBZT" jdbcType="DECIMAL" property="sbzt"/>
        <result column="XHSJ" jdbcType="VARCHAR" property="xhsj"/>
        <result column="RJBBH" jdbcType="VARCHAR" property="rjbbh"/>
        <result column="KHBH" jdbcType="VARCHAR" property="khbh"/>
        <result column="SBAZWZ" jdbcType="VARCHAR" property="sbazwz"/>
        <result column="JD" jdbcType="VARCHAR" property="jd"/>
        <result column="WD" jdbcType="VARCHAR" property="wd"/>
        <result column="TPWZX" jdbcType="DECIMAL" property="tpwzx"/>
        <result column="TPWZY" jdbcType="DECIMAL" property="tpwzy"/>
        <result column="SPSRTDS" jdbcType="DECIMAL" property="spsrtds"/>
        <result column="SPSRDHMTDS" jdbcType="DECIMAL" property="spsrdhmtds"/>
        <result column="SPSCTDS" jdbcType="DECIMAL" property="spsctds"/>
        <result column="YPSRTDS" jdbcType="DECIMAL" property="ypsrtds"/>
        <result column="YPSCTDS" jdbcType="DECIMAL" property="ypsctds"/>
        <result column="BJSRTDS" jdbcType="DECIMAL" property="bjsrtds"/>
        <result column="BJSCTDS" jdbcType="DECIMAL" property="bjsctds"/>
        <result column="TMTDS" jdbcType="DECIMAL" property="tmtds"/>
        <result column="MLCZXY" jdbcType="DECIMAL" property="mlczxy"/>
        <result column="ZDSCDK" jdbcType="DECIMAL" property="zdscdk"/>
        <result column="QYBH" jdbcType="VARCHAR" property="qybh"/>
        <result column="ZDZLS" jdbcType="DECIMAL" property="zdzls"/>
        <result column="JLBH" jdbcType="VARCHAR" property="jlbh"/>
        <result column="JRMS" jdbcType="DECIMAL" property="jrms"/>
        <result column="MS" jdbcType="VARCHAR" property="ms"/>
        <result column="DLFWZBH" jdbcType="VARCHAR" property="dlfwzbh"/>
        <result column="QYMC" jdbcType="VARCHAR" property="qymc"/>
        <result column="QYDZ" jdbcType="VARCHAR" property="qydz"/>
        <result column="XZBH" jdbcType="VARCHAR" property="xzbh"/>
        <result column="JRFSBH" jdbcType="VARCHAR" property="jrfsbh"/>
        <result column="JRFSMC" jdbcType="VARCHAR" property="jrfsmc"/>
        <result column="LXR" jdbcType="VARCHAR" property="lxr"/>
        <result column="LXDH" jdbcType="VARCHAR" property="lxdh"/>
        <result column="VPNWGBH" jdbcType="VARCHAR" property="vpnwgbh"/>
        <result column="CJRY" jdbcType="VARCHAR" property="cjry"/>
        <result column="CJRQ" jdbcType="VARCHAR" property="cjrq"/>
        <result column="XGRY" jdbcType="VARCHAR" property="xgry"/>
        <result column="XGRQ" jdbcType="VARCHAR" property="xgrq"/>
        <result column="BZ" jdbcType="VARCHAR" property="bz"/>
    </resultMap>

    <select id="selectAllSbbh" resultType="string">
        SELECT SBBH FROM SBXX WHERE ms like #{ms} || '%'
    </select>
</mapper>